=== src/CMakeLists.txt ===
add_subdirectory(codegen)
add_subdirectory(system)
add_subdirectory(heap)
add_subdirectory(util)
add_subdirectory(tools)

add_library(avian_jvm_finder finder.cpp)
