=== src/heap/CMakeLists.txt ===

add_library(avian_heap heap.cpp)
