=== src/tools/CMakeLists.txt ===
add_subdirectory(binary-to-object)
add_subdirectory(object-writer)
add_subdirectory(type-generator)
