=== src/util/CMakeLists.txt ===
add_library(avian_util arg-parser.cpp fixed-allocator.cpp)
