=== src/codegen/target/CMakeLists.txt ===
add_subdirectory(arm)
add_subdirectory(x86)
