=== src/tools/binary-to-object/CMakeLists.txt ===
add_executable(binary_to_object main.cpp)

target_link_libraries(binary_to_object object_writer)
