=== src/tools/object-writer/CMakeLists.txt ===
add_library(object_writer
  elf.cpp
  mach-o.cpp
  pe.cpp
  tools.cpp
)
