## avian 0.6+20130401

=== debian/changelog ===
avian (0.6+20130401-0ubuntu1) raring; urgency=low

  * Update to 20130401.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Apr 2013 12:19:33 +0200
