=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 		info='$(info)'
 
 override_dh_auto_test:
-	make MAKEFLAGS= test \
+	-make MAKEFLAGS= test \
 		JAVA_HOME=$(JAVA_HOME) \
 		openjdk=$(JAVA_HOME)
