=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>, Xerxes Rånby <xerxes@zafena.se>
-Build-Depends: debhelper (>= 8.0.0), openjdk-7-jdk, zlib1g-dev, g++-4.7
+Build-Depends: debhelper (>= 8.0.0), openjdk-7-jdk, zlib1g-dev, g++
 Standards-Version: 3.9.3
 Homepage: http://oss.readytalk.com/avian/
