=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	make MAKEFLAGS= \
 		JAVA_HOME=$(JAVA_HOME) \
 		openjdk=$(JAVA_HOME) \
-		build-cc=gcc-4.7 build-cxx=g++-4.7 \
+		build-cc=gcc build-cxx=g++ \
 		DPKG_CFLAGS="$(DPKG_CFLAGS)" \
 		DPKG_LFLAGS="$(DPKG_LFLAGS)" \
 		use-lto=$(use_lto) \
