=== debian/watch ===
version=3
http://oss.readytalk.com/avian/status.html avian-(.*)\.tar\.bz2
