## avian 1.1.0

=== debian/changelog ===
avian (1.1.0-4) unstable; urgency=medium

  * Build-depend on locales-all | language-pack-en-base.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Nov 2014 15:09:13 +0100

avian (1.1.0-3) unstable; urgency=low

  * remove no-lto workaround needed for older distro releases.
    closes: #768682
  * Use LANG=C.UTF-8 to correctly compile
    tests using UTF-8 inner class names.

 -- Xerxes Rånby <xerxes@zafena.se>  Fri, 14 Nov 2014 12:41:14 +0100

avian (1.1.0-2) unstable; urgency=low

  * debian/patches/openjdk-JVM_FindClassFromCaller.diff
    Add compatibility with IcedTea 2.5.3 update.
  * debian/control: Remove powerpc, ppc is not a supported architecture.

 -- Xerxes Rånby <xerxes@zafena.se>  Thu, 13 Nov 2014 15:15:56 +0100

avian (1.1.0-1) unstable; urgency=low

  [ Xerxes Rånby ]
  * Update to 1.1.0.
  * Add compatibility with recent OpenJDK releases, closes: #759834
  * non-reproducible gold linker internal error on amd64, closes: #753182

  [ Matthias Klose ]
  * Build using the default GCC.
  * Remove debian template files.
  * Build with -g instead of -g3 to avoid an LTO ICE.
  * Still build with -marm on armhf, apparently the package is not ready
    for thumb mode.
  * Still build without LTO on ARM32.

 -- Xerxes Rånby <xerxes@zafena.se>  Mon, 20 Oct 2014 16:21:56 +0200
