=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: extra
 Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>, Xerxes Rånby <xerxes@zafena.se>
-Build-Depends: debhelper (>= 8.0.0), openjdk-7-jdk, zlib1g-dev, g++
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8.0.0),
+  openjdk-7-jdk, zlib1g-dev,
+  locales-all | language-pack-en-base
+Standards-Version: 3.9.6
 Homepage: http://oss.readytalk.com/avian/
 
 Package: jvm-7-avian-jre
-Architecture: amd64 armel armhf i386 powerpc
-Depends: ${shlibs:Depends}, ${misc:Depends}, openjdk-7-jre-headless
+Architecture: amd64 armel armhf i386
+Depends: ${shlibs:Depends}, ${misc:Depends}, openjdk-7-jre-headless (>= 7u71-2.5.3-1~)
 Description: lightweight virtual machine using the OpenJDK class library
  Avian is a lightweight virtual machine and class library designed
  to provide a useful subset of Java's features, suitable for building
